Skip to Content
dzshipBY DZBUILD
Shipping

Quote delivery and return fees

POST
/v1/rates

Request Body

application/json
  1. body
courier*string
credentials?

The caller's own credentials for that courier, 1-8 string fields. Never stored. Omit entirely for the sandbox courier.

options?
query*

Response Body

The fee for that route

application/json
  1. response
deliveryFee*number
returnFee?number
codFee?number
total*number
currency*string
deliveryType*string
Value in"home""stopdesk"
estimatedDays?number
Example Request
curl -X POST 'https://freeship.dzbuild.com/v1/rates' \  -H 'Content-Type: application/json' \  -d '{  "courier": "string",  "query": {    "toWilaya": 1,    "deliveryType": "home"  }}'
Example Response
{  "deliveryFee": 0,  "returnFee": 0,  "codFee": 0,  "total": 0,  "currency": "string",  "deliveryType": "home",  "estimatedDays": 0}